describe('The Rooms Page', () => {
  // todo: mock all the graphql queries and mutations
  it('goes to the rooms page', () => {
    cy.apolloLogin('nico.zickgraf', 'test');
    cy.visit('/rooms');

    cy.get('[data-cy=add-room]').should('exist');
  });

  it('add room should not exist for student', () => {
    cy.apolloLogin('rahel.cueni', 'test');
    cy.visit('/rooms');

    cy.get('[data-cy=add-room]').should('not.exist');
  });
});
